/**
 * - змінити існуючу функцію createProduct і за допомогою
 * неї створити ще 3 функції: createIPhone, createSamsung, createXiaomi
 * - за допомогою створених функцій створити по 2 телефона кожного бренду
 * - до створюваних продуктів додати метод getProductName,
 * який буде повертати повне ім'я продукту, наприклад iPhone 12 pro
 * - спробувати змінити brand у якомусь продукті
 * - вивести в консоль повне ім'я цього за допомогою методу getProductName
 * - додати метод buy, який буде приймати суму, якщо її достатньо для покупки, то
 * виводити в консоль 'Ви можете придбати BRAND MODEL', інакше
 * 'Ви не можете придбати BRAND MODEL, вам не вистачає X грн'
 * - викликати метод buy з різними параметрами
 *
 */
